Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.dto
Class MediaInfo

    java.lang.Object
      org.teleal.cling.support.avtransport.dto.MediaInfo

    public class MediaInfo

extends Object

Constructor Summary
`MediaInfo()`
`MediaInfo(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)`
`MediaInfo(String currentURI, String currentURIMetaData)`
`MediaInfo(String currentURI, String currentURIMetaData, String nextURI, String nextURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium)`
`MediaInfo(String currentURI, String currentURIMetaData, String nextURI, String nextURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium, StorageMedium recordMedium, RecordMediumWriteStatus writeStatus)`
`MediaInfo(String currentURI, String currentURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium)`
`MediaInfo(String currentURI, String currentURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, String mediaDuration, StorageMedium playMedium, StorageMedium recordMedium, RecordMediumWriteStatus writeStatus)`

Method Summary
`String` | `getCurrentURI()`
`String` | `getCurrentURIMetaData()`
`String` | `getMediaDuration()`
`String` | `getNextURI()`
`String` | `getNextURIMetaData()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getNumberOfTracks()`
`StorageMedium` | `getPlayMedium()`
`StorageMedium` | `getRecordMedium()`
`RecordMediumWriteStatus` | `getWriteStatus()`
`protected static StorageMedium` | `storageMediumFor(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaInfo

    public MediaInfo()

### MediaInfo

    public MediaInfo(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)

### MediaInfo

    public MediaInfo(String currentURI,
                     String currentURIMetaData)

### MediaInfo

    public MediaInfo(String currentURI,
                     String currentURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     String mediaDuration,
                     StorageMedium playMedium)

### MediaInfo

    public MediaInfo(String currentURI,
                     String currentURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     String mediaDuration,
                     StorageMedium playMedium,
                     StorageMedium recordMedium,
                     RecordMediumWriteStatus writeStatus)

### MediaInfo

    public MediaInfo(String currentURI,
                     String currentURIMetaData,
                     String nextURI,
                     String nextURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     String mediaDuration,
                     StorageMedium playMedium)

### MediaInfo

    public MediaInfo(String currentURI,
                     String currentURIMetaData,
                     String nextURI,
                     String nextURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     String mediaDuration,
                     StorageMedium playMedium,
                     StorageMedium recordMedium,
                     RecordMediumWriteStatus writeStatus)

Method Detail

### getCurrentURI

    public String getCurrentURI()

### getCurrentURIMetaData

    public String getCurrentURIMetaData()

### getNextURI

    public String getNextURI()

### getNextURIMetaData

    public String getNextURIMetaData()

### getNumberOfTracks

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getNumberOfTracks()

### getMediaDuration

    public String getMediaDuration()

### getPlayMedium

    public StorageMedium getPlayMedium()

### getRecordMedium

    public StorageMedium getRecordMedium()

### getWriteStatus

    public RecordMediumWriteStatus getWriteStatus()

### storageMediumFor

    protected static StorageMedium storageMediumFor(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.